org.jgroups.util

## Interface FutureListener<T>

All Known Implementing Classes:
  ExecutionCompletionService.QueueingListener

    public interface FutureListener<T>

A listener that is called back when a future is done. FutureListener instances are attached to `NotifyingFuture`s by passing them in to `NotifyingFuture.setListener(FutureListener)`

Note that the `futureDone(Future)` callback is invoked when the future completes, regardless of how the future completes (i.e., normally, due to an exception, or cancelled}. As such, implementations should check the future passed in by calling `future.get()`.

Since:
  2.9
Author:
  Manik Surtani

### Method Summary

Methods
`void` `futureDone(java.util.concurrent.Future<T> future)`

### Method Detail

#### futureDone

    void futureDone(java.util.concurrent.Future<T> future)